Bug 700948 - Fix Coverity illegal accesses issues
Summary: Fix Coverity illegal accesses issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-04-29 21:31 UTC by Nathan Kinder
Modified: 2015-01-04 23:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:44 UTC


Attachments (Terms of Use)
Patch for cov#10846 (1.04 KB, patch)
2011-04-29 21:33 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10845 (1.00 KB, patch)
2011-04-29 21:40 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10839 (1.07 KB, patch)
2011-05-02 22:09 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10837 (1.09 KB, patch)
2011-05-02 22:17 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10835 (1.02 KB, patch)
2011-05-03 21:24 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10813 (1.46 KB, patch)
2011-05-03 22:39 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Pat for cov#10842 (1.49 KB, patch)
2011-05-04 17:29 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-04-29 21:31:02 UTC
A recent run of Coverity against adminserver found a handful of memory illegal access issues.  We should fix these issues.

Comment 1 Nathan Kinder 2011-04-29 21:33:39 UTC
Created attachment 495869 [details]
Patch for cov#10846

Comment 2 Nathan Kinder 2011-04-29 21:40:14 UTC
Created attachment 495871 [details]
Patch for cov#10845

Comment 3 Nathan Kinder 2011-05-02 22:09:39 UTC
Created attachment 496388 [details]
Patch for cov#10839

Comment 4 Nathan Kinder 2011-05-02 22:17:13 UTC
Created attachment 496394 [details]
Patch for cov#10837

Comment 5 Nathan Kinder 2011-05-03 21:24:07 UTC
Created attachment 496638 [details]
Patch for cov#10835

Comment 6 Nathan Kinder 2011-05-03 22:39:34 UTC
Created attachment 496663 [details]
Patch for cov#10813

Comment 7 Nathan Kinder 2011-05-04 17:29:01 UTC
Created attachment 496855 [details]
Pat for cov#10842

Comment 8 Nathan Kinder 2011-05-04 18:40:48 UTC
Pushed to master.  Thanks to Noriko for her reviews!

Counting objects: 44, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (33/33), done.
Writing objects: 100% (33/33), 3.79 KiB, done.
Total 33 (delta 26), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   5a52f43..58f15dc  master -> master


Note You need to log in before you can comment on or make changes to this bug.